Changeset 2975


Ignore:
Timestamp:
Oct 15, 2013 12:07:23 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/releases/1.2.11/configure

    r2959 r2975  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068   --enable-doscompile     Under Cygwin, compile so that executables run under
    1069                           DOS. Set to mingw to use gcc/g++/ld with
    1070                           -mno-cygwin. Set to msvc to use cl/link (or
    1071                           icl/link). Default when mentioned: mingw. Default
    1072                           when not mentioned: disabled.
     1068
     1069  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10731070  --enable-static[=PKGS]
    10741071                          build static libraries [default=no]
     
    18901887
    18911888# Get the name of the C compiler and compiler flags
    1892 case $build in
     1889
     1890
     1891  # for backward compatibility
     1892  # Check whether --enable-doscompile or --disable-doscompile was given.
     1893if test "${enable_doscompile+set}" = set; then
     1894  enableval="$enable_doscompile"
     1895  enable_doscompile=$enableval
     1896else
     1897  enable_doscompile=no
     1898fi;
     1899
     1900  # Check whether --enable-msvc or --disable-msvc was given.
     1901if test "${enable_msvc+set}" = set; then
     1902  enableval="$enable_msvc"
     1903  enable_msvc=$enableval
     1904else
     1905  enable_msvc=no
     1906     if test "$enable_doscompile" = msvc ; then
     1907       enable_msvc=yes
     1908     elif test "$enable_doscompile" != no ; then
     1909       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1910echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1911   { (exit 1); exit 1; }; }
     1912     fi
     1913
     1914fi;
     1915
     1916  if test "$enable_msvc" = yes; then
     1917    case $build in
     1918      *-cygwin* | *-mingw*) ;;
     1919      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1920echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1921   { (exit 1); exit 1; }; } ;;
     1922    esac
     1923  fi
     1924
     1925
     1926 case $build in
    18931927  *-mingw*)
    18941928    if test "${LD+set}" = set; then :; else
     
    18971931    ;;
    18981932 esac
    1899  case $enable_doscompile in
    1900    msvc)
    1901      if test "x${LD+set}" = xset; then :; else
    1902        LD=link
    1903      fi
    1904      ;;
    1905  esac
    1906 
    1907 
    1908  # Check whether --enable-doscompile or --disable-doscompile was given.
    1909 if test "${enable_doscompile+set}" = set; then
    1910   enableval="$enable_doscompile"
    1911   if test "$enable_doscompile" != no; then
    1912      case $build in
    1913        *-cygwin* | *-mingw*) ;;
    1914        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1915 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1916    { (exit 1); exit 1; }; } ;;
    1917      esac
     1933 if test $enable_msvc = yes ; then
     1934   if test "x${LD+set}" = xset; then :; else
     1935     LD=link
    19181936   fi
    1919 else
    1920   enable_doscompile=no
    1921 fi;
    1922  case "$enable_doscompile" in
    1923    mingw)
    1924      case $build in
    1925        *-mingw*) enable_doscompile=no ;;
    1926      esac
    1927      ;;
    1928    msvc|no) ;;
    1929    yes) enable_doscompile=mingw ;;
    1930    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1931                     Try configure --help=recursive." >&5
    1932 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1933                     Try configure --help=recursive." >&2;}
    1934    { (exit 1); exit 1; }; }
    1935       ;;
    1936   esac
    1937   if test "$enable_doscompile" != no ; then
    1938     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1939 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1940   fi
     1937 fi
    19411938
    19421939
     
    19811978case $build in
    19821979  *-cygwin* | *-mingw*)
    1983              if test "$enable_doscompile" = msvc ; then
    1984                comps="icl cl"
     1980             if test "$enable_msvc" = yes ; then
     1981               comps="icl cl gcc"
    19851982             else
    1986                comps="gcc cl"
     1983               comps="gcc icl cl"
    19871984             fi ;;
    19881985  *-*-solaris*)
     
    28372834            ;;
    28382835        esac
    2839         case $enable_doscompile in
    2840           mingw)
    2841             CFLAGS="-mno-cygwin"
    2842             cat >conftest.$ac_ext <<_ACEOF
    2843 /* confdefs.h.  */
    2844 _ACEOF
    2845 cat confdefs.h >>conftest.$ac_ext
    2846 cat >>conftest.$ac_ext <<_ACEOF
    2847 /* end confdefs.h.  */
    2848 
    2849 int
    2850 main ()
    2851 {
    2852 int i=0; i++;
    2853   ;
    2854   return 0;
    2855 }
    2856 _ACEOF
    2857 rm -f conftest.$ac_objext conftest$ac_exeext
    2858 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2859   (eval $ac_link) 2>conftest.er1
    2860   ac_status=$?
    2861   grep -v '^ *+' conftest.er1 >conftest.err
    2862   rm -f conftest.er1
    2863   cat conftest.err >&5
    2864   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2865   (exit $ac_status); } &&
    2866          { ac_try='test -z "$ac_c_werror_flag"
    2867                          || test ! -s conftest.err'
    2868   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2869   (eval $ac_try) 2>&5
    2870   ac_status=$?
    2871   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2872   (exit $ac_status); }; } &&
    2873          { ac_try='test -s conftest$ac_exeext'
    2874   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2875   (eval $ac_try) 2>&5
    2876   ac_status=$?
    2877   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2878   (exit $ac_status); }; }; then
    2879   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2880 else
    2881   echo "$as_me: failed program was:" >&5
    2882 sed 's/^/| /' conftest.$ac_ext >&5
    2883 
    2884 fi
    2885 rm -f conftest.err conftest.$ac_objext \
    2886       conftest$ac_exeext conftest.$ac_ext
    2887             CFLAGS=
    2888           ;;
    2889         esac
    28902836    esac
    28912837  fi
     
    32283174  clang* ) ;;
    32293175  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3230     case $build in
     3176
     3177 case $build in
    32313178  *-mingw*)
    32323179    if test "${LD+set}" = set; then :; else
     
    32353182    ;;
    32363183 esac
    3237  case $enable_doscompile in
    3238    msvc)
    3239      if test "x${LD+set}" = xset; then :; else
    3240        LD=link
    3241      fi
    3242      ;;
    3243  esac
     3184 if test $enable_msvc = yes ; then
     3185   if test "x${LD+set}" = xset; then :; else
     3186     LD=link
     3187   fi
     3188 fi
    32443189
    32453190    ;;
     
    48794824*-*-irix6*)
    48804825  # Find out which ABI we are using.
    4881   echo '#line 4881 "configure"' > conftest.$ac_ext
     4826  echo '#line 4826 "configure"' > conftest.$ac_ext
    48824827  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48834828  (eval $ac_compile) 2>&5
     
    64786423
    64796424# Provide some information about the compiler.
    6480 echo "$as_me:6480:" \
     6425echo "$as_me:6425:" \
    64816426     "checking for Fortran 77 compiler version" >&5
    64826427ac_compiler=`set X $ac_compile; echo $2`
     
    75457490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75467491   -e 's:$: $lt_compiler_flag:'`
    7547    (eval echo "\"\$as_me:7547: $lt_compile\"" >&5)
     7492   (eval echo "\"\$as_me:7492: $lt_compile\"" >&5)
    75487493   (eval "$lt_compile" 2>conftest.err)
    75497494   ac_status=$?
    75507495   cat conftest.err >&5
    7551    echo "$as_me:7551: \$? = $ac_status" >&5
     7496   echo "$as_me:7496: \$? = $ac_status" >&5
    75527497   if (exit $ac_status) && test -s "$ac_outfile"; then
    75537498     # The compiler can only warn and ignore the option if not recognized
     
    78137758   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78147759   -e 's:$: $lt_compiler_flag:'`
    7815    (eval echo "\"\$as_me:7815: $lt_compile\"" >&5)
     7760   (eval echo "\"\$as_me:7760: $lt_compile\"" >&5)
    78167761   (eval "$lt_compile" 2>conftest.err)
    78177762   ac_status=$?
    78187763   cat conftest.err >&5
    7819    echo "$as_me:7819: \$? = $ac_status" >&5
     7764   echo "$as_me:7764: \$? = $ac_status" >&5
    78207765   if (exit $ac_status) && test -s "$ac_outfile"; then
    78217766     # The compiler can only warn and ignore the option if not recognized
     
    79177862   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79187863   -e 's:$: $lt_compiler_flag:'`
    7919    (eval echo "\"\$as_me:7919: $lt_compile\"" >&5)
     7864   (eval echo "\"\$as_me:7864: $lt_compile\"" >&5)
    79207865   (eval "$lt_compile" 2>out/conftest.err)
    79217866   ac_status=$?
    79227867   cat out/conftest.err >&5
    7923    echo "$as_me:7923: \$? = $ac_status" >&5
     7868   echo "$as_me:7868: \$? = $ac_status" >&5
    79247869   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    79257870   then
     
    1026210207  lt_status=$lt_dlunknown
    1026310208  cat > conftest.$ac_ext <<EOF
    10264 #line 10264 "configure"
     10209#line 10209 "configure"
    1026510210#include "confdefs.h"
    1026610211
     
    1036210307  lt_status=$lt_dlunknown
    1036310308  cat > conftest.$ac_ext <<EOF
    10364 #line 10364 "configure"
     10309#line 10309 "configure"
    1036510310#include "confdefs.h"
    1036610311
     
    1270612651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1270712652   -e 's:$: $lt_compiler_flag:'`
    12708    (eval echo "\"\$as_me:12708: $lt_compile\"" >&5)
     12653   (eval echo "\"\$as_me:12653: $lt_compile\"" >&5)
    1270912654   (eval "$lt_compile" 2>conftest.err)
    1271012655   ac_status=$?
    1271112656   cat conftest.err >&5
    12712    echo "$as_me:12712: \$? = $ac_status" >&5
     12657   echo "$as_me:12657: \$? = $ac_status" >&5
    1271312658   if (exit $ac_status) && test -s "$ac_outfile"; then
    1271412659     # The compiler can only warn and ignore the option if not recognized
     
    1281012755   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1281112756   -e 's:$: $lt_compiler_flag:'`
    12812    (eval echo "\"\$as_me:12812: $lt_compile\"" >&5)
     12757   (eval echo "\"\$as_me:12757: $lt_compile\"" >&5)
    1281312758   (eval "$lt_compile" 2>out/conftest.err)
    1281412759   ac_status=$?
    1281512760   cat out/conftest.err >&5
    12816    echo "$as_me:12816: \$? = $ac_status" >&5
     12761   echo "$as_me:12761: \$? = $ac_status" >&5
    1281712762   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1281812763   then
     
    1438014325   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1438114326   -e 's:$: $lt_compiler_flag:'`
    14382    (eval echo "\"\$as_me:14382: $lt_compile\"" >&5)
     14327   (eval echo "\"\$as_me:14327: $lt_compile\"" >&5)
    1438314328   (eval "$lt_compile" 2>conftest.err)
    1438414329   ac_status=$?
    1438514330   cat conftest.err >&5
    14386    echo "$as_me:14386: \$? = $ac_status" >&5
     14331   echo "$as_me:14331: \$? = $ac_status" >&5
    1438714332   if (exit $ac_status) && test -s "$ac_outfile"; then
    1438814333     # The compiler can only warn and ignore the option if not recognized
     
    1448414429   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448514430   -e 's:$: $lt_compiler_flag:'`
    14486    (eval echo "\"\$as_me:14486: $lt_compile\"" >&5)
     14431   (eval echo "\"\$as_me:14431: $lt_compile\"" >&5)
    1448714432   (eval "$lt_compile" 2>out/conftest.err)
    1448814433   ac_status=$?
    1448914434   cat out/conftest.err >&5
    14490    echo "$as_me:14490: \$? = $ac_status" >&5
     14435   echo "$as_me:14435: \$? = $ac_status" >&5
    1449114436   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1449214437   then
     
    1669116636   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1669216637   -e 's:$: $lt_compiler_flag:'`
    16693    (eval echo "\"\$as_me:16693: $lt_compile\"" >&5)
     16638   (eval echo "\"\$as_me:16638: $lt_compile\"" >&5)
    1669416639   (eval "$lt_compile" 2>conftest.err)
    1669516640   ac_status=$?
    1669616641   cat conftest.err >&5
    16697    echo "$as_me:16697: \$? = $ac_status" >&5
     16642   echo "$as_me:16642: \$? = $ac_status" >&5
    1669816643   if (exit $ac_status) && test -s "$ac_outfile"; then
    1669916644     # The compiler can only warn and ignore the option if not recognized
     
    1695916904   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1696016905   -e 's:$: $lt_compiler_flag:'`
    16961    (eval echo "\"\$as_me:16961: $lt_compile\"" >&5)
     16906   (eval echo "\"\$as_me:16906: $lt_compile\"" >&5)
    1696216907   (eval "$lt_compile" 2>conftest.err)
    1696316908   ac_status=$?
    1696416909   cat conftest.err >&5
    16965    echo "$as_me:16965: \$? = $ac_status" >&5
     16910   echo "$as_me:16910: \$? = $ac_status" >&5
    1696616911   if (exit $ac_status) && test -s "$ac_outfile"; then
    1696716912     # The compiler can only warn and ignore the option if not recognized
     
    1706317008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706417009   -e 's:$: $lt_compiler_flag:'`
    17065    (eval echo "\"\$as_me:17065: $lt_compile\"" >&5)
     17010   (eval echo "\"\$as_me:17010: $lt_compile\"" >&5)
    1706617011   (eval "$lt_compile" 2>out/conftest.err)
    1706717012   ac_status=$?
    1706817013   cat out/conftest.err >&5
    17069    echo "$as_me:17069: \$? = $ac_status" >&5
     17014   echo "$as_me:17014: \$? = $ac_status" >&5
    1707017015   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1707117016   then
     
    2050520450echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2050620451coin_link_input_cmd="$LN_S"
    20507 if test "$enable_doscompile" = mingw; then
    20508   coin_link_input_cmd=cp
    20509 fi
    2051020452case "$CC" in
    2051120453  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.